Java13CommandLauncher (Apache Ant API)

Package org.apache.tools.ant.taskdefs.launcher

## Class Java13CommandLauncher

- java.lang.Object
- - org.apache.tools.ant.taskdefs.launcher.CommandLauncher
  - - org.apache.tools.ant.taskdefs.launcher.Java13CommandLauncher

- Direct Known Subclasses:
    `VmsCommandLauncher`

      public class Java13CommandLauncher
      extends CommandLauncher

  A command launcher for JDK/JRE 1.3 (and higher). Uses the built-in Runtime.exec() command.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.taskdefs.launcher.CommandLauncher

      `FILE_UTILS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Java13CommandLauncher()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Process` | `exec​(Project project, java.lang.String[] cmd, java.lang.String[] env, java.io.File workingDir)` | Launches the given command in a new process, in the given working directory.

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.launcher.CommandLauncher

      `exec, getShellLauncher, getVMLauncher, setShellLauncher, setVMLauncher`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Java13CommandLauncher

          public Java13CommandLauncher()

  - ### Method Detail

    - #### exec

          public java.lang.Process exec​(Project project,
                                        java.lang.String[] cmd,
                                        java.lang.String[] env,
                                        java.io.File workingDir)
                                 throws java.io.IOException

      Launches the given command in a new process, in the given working directory.
      Overrides:
        `exec` in class `CommandLauncher`
      Parameters:
        `project` - the Ant project.
        `cmd` - the command line to execute as an array of strings.
        `env` - the environment to set as an array of strings.
        `workingDir` - the working directory where the command should run.
      Returns:
        the created Process.
      Throws:
        `java.io.IOException` - probably forwarded from Runtime#exec.